Package Details: cminpack 1.3.9-1

Git Clone URL: https://aur.archlinux.org/cminpack.git (read-only, click to copy)
Package Base: cminpack
Description: A C/C++ rewrite of the MINPACK software
Upstream URL: http://devernay.free.fr/hacks/cminpack/cminpack.html
Licenses: BSD
Submitter: None
Maintainer: xantares
Last Packager: xantares
Votes: 8
Popularity: 0.000010
First Submitted: 2011-04-05 02:11 (UTC)
Last Updated: 2024-06-03 20:09 (UTC)

Latest Comments

1 2 Next › Last »

acxz commented on 2021-06-15 00:14 (UTC)

I am still encountering the following error however:

CMake Error at cmake/FindMKL.cmake:205 (message):
  Cannot find the MKL libraries correctly.  Please check your MKL input
  variables and mkl_link_tool.  The command executed was:

   /opt/intel/mkl/bin/mkl_link_tool;-libs;--mkl=11.3;--compiler=gnu_c;--os=lnx;--arch=intel64;--linking=dynamic;--parallel=no;--interface=.
Call Stack (most recent call first):
  cmake/FindCBLAS.cmake:19 (FIND_PACKAGE)
  CMakeLists.txt:138 (find_package)

I believe this error comes down to the following issue: https://community.intel.com/t5/Intel-oneAPI-Math-Kernel-Library/Need-64-bit-version-of-mkl-link-tool-in-the-DevCloud/m-p/1149309

acxz commented on 2021-06-14 23:26 (UTC)

@xantares can you add the following patch?

https://github.com/devernay/cminpack/commit/9fa5180a357af59f4167d194ebf83105e2d550de

I am getting a build error without it.

anntzer commented on 2021-03-09 13:24 (UTC)

Please consider including all precisions variants (single, double, longdouble) in the build (as done by default by upstream since 1.3.8). @xantares I realize that you argued in https://github.com/devernay/cminpack/pull/45 that you only need double, but I'd argue that this would be better served by having a separate cminpackd (or cminpack-double) AUR package which is built with -DCMINPACK_PRECISION=d and making setting conflicts and provides accordingly. Thanks!

xantares commented on 2015-01-21 17:22 (UTC)

ok, fixed

bchretien commented on 2015-01-21 16:27 (UTC)

The files are currently installed to /usr/local instead of /usr. You should consider adding the following CMake argument: -DCMAKE_INSTALL_PREFIX="/usr"

bchretien commented on 2013-11-22 13:24 (UTC)

If you don't plan on maintaining the package, consider disowning it.

bchretien commented on 2013-11-20 21:39 (UTC)

Version 1.3.2 is out.

ptb commented on 2011-06-24 22:43 (UTC)

The required pkgconfig wasn't installed, an fixed PKGBUILD can be found at http://pastebin.com/2T2nffFv the required patch at http://pastebin.com/H7TFaxu6 .

<deleted-account> commented on 2011-04-16 06:20 (UTC)

thx, fixed

<deleted-account> commented on 2011-04-15 16:04 (UTC)

md5sum should be 3573b33d498cc1bf3787a86efbd12c3a